Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class AddGroupToGroupTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.AddGroupToGroupTag

public class AddGroupToGroupTag
extends ResultTag

Corresponds to `<um:addGroupToGroup>`.

The `<um:addGroupToGroup>` tag adds the group corresponding to the provided `childGroupName` to the group corresponding to the provided `parentGroupName`. Since a group can only have one parent, any previous database records which reflect the group belonging to another parent will be destroyed. Both the parent group and the child group must previously exist for proper tag behavior. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
childGroupName | yes | String | The name of the child group. Example: "`<%=childGroupName%>`"
parentGroupName | yes | String | The name of the parent group. Example: "`<%=parentGroupName%>`"
result | yes | String | The name of an Integer variable to which the result of the add group to group operation is assigned. Possible Values: Success: `UserManagerTagConstants.ADD_GROUP_OK` Error encountered: `UserManagerTagConstants.ADD_GROUP_FAILED`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`AddGroupToGroupTag()`

Method Summary
`int` | `doStartTag()` Add the specified child group to the specified parent group through the UserManager session bean
`java.lang.String` | `getChildGroupName()` Get the name of the new child group
`java.lang.String` | `getParentGroupName()` Get the name of the new parent group
`void` | `release()` Reset the tag's attributes
`void` | `setChildGroupName(java.lang.String childGroupName)` Set the name of the new child group
`void` | `setParentGroupName(java.lang.String parentGroupName)` Set the name of the new parent group

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddGroupToGroupTag

    public AddGroupToGroupTag()

Method Detail

### setParentGroupName

    public void setParentGroupName(java.lang.String parentGroupName)

  Set the name of the new parent group

### getParentGroupName

    public java.lang.String getParentGroupName()

  Get the name of the new parent group

### setChildGroupName

    public void setChildGroupName(java.lang.String childGroupName)

  Set the name of the new child group

### getChildGroupName

    public java.lang.String getChildGroupName()

  Get the name of the new child group

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Add the specified child group to the specified parent group through the UserManager session bean

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag's attributes

  Overrides:
    release in class ResultTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved